Subject: [bug#54180] [PATCH 00/12] Home: Clarify and better test symlink-manager.scm

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Mar 2022 11:28:15 +0100

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op zo 27-02-2022 om 14:53 [+0100]:
>> (file-exists? (get-target-path path))
>> [... other uses of file-exists? ...]

Note that this patch just shuffles code around; it does not introduce
new ‘file-exists?’ calls.

> 'file-exists?' does not simply check whether the file exists.
> E.g., when there is some permission error, then it returns #false.
>
> I think that in case of an permission error, it would best be reported
> to the user, so I think a variant of 'file-exists?' may be needed.

I believe later patches mostly address this by avoiding separate ‘stat’
calls (‘file-exists?’ is a thin wrapper around ‘stat’).

Ludo’.